package com.adealink.weparty.module.wallet.data

enum class Currency(val type: Int) {
    COIN(0),
    DIAMOND(1),
    BEAN(2);


    companion object {
        @JvmStatic
        fun map(currency: Int?): Currency? {
            currency ?: return null
            return entries.find { it.type == currency }
        }
    }
}